org.apache.flume.thrift

## Class ThriftSourceProtocol.appendBatch_args

- java.lang.Object
- - org.apache.flume.thrift.ThriftSourceProtocol.appendBatch_args

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ThriftSourceProtocol.appendBatch_args>, org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>
  Enclosing class:
    ThriftSourceProtocol

      public static class ThriftSourceProtocol.appendBatch_args
      extends Object
      implements org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>, Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftSourceProtocol.appendBatch_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<ThriftFlumeEvent>` | `events`
    `static Map<ThriftSourceProtocol.appendBatch_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol.appendBatch_args()`
    `ThriftSourceProtocol.appendBatch_args(List<ThriftFlumeEvent> events)`
    `ThriftSourceProtocol.appendBatch_args(ThriftSourceProtocol.appendBatch_args other)` Performs a deep copy on other.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToEvents(ThriftFlumeEvent elem)`
    `void` | `clear()`
    `int` | `compareTo(ThriftSourceProtocol.appendBatch_args other)`
    `ThriftSourceProtocol.appendBatch_args` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(ThriftSourceProtocol.appendBatch_args that)`
    `ThriftSourceProtocol.appendBatch_args._Fields` | `fieldForId(int fieldId)`
    `List<ThriftFlumeEvent>` | `getEvents()`
    `Iterator<ThriftFlumeEvent>` | `getEventsIterator()`
    `int` | `getEventsSize()`
    `Object` | `getFieldValue(ThriftSourceProtocol.appendBatch_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(ThriftSourceProtocol.appendBatch_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEvents()` Returns true if field events is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `ThriftSourceProtocol.appendBatch_args` | `setEvents(List<ThriftFlumeEvent> events)`
    `void` | `setEventsIsSet(boolean value)`
    `void` | `setFieldValue(ThriftSourceProtocol.appendBatch_args._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unsetEvents()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### events

          public List<ThriftFlumeEvent> events

    - #### metaDataMap

          public static final Map<ThriftSourceProtocol.appendBatch_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ThriftSourceProtocol.appendBatch_args

          public ThriftSourceProtocol.appendBatch_args()

    - #### ThriftSourceProtocol.appendBatch_args

          public ThriftSourceProtocol.appendBatch_args(List<ThriftFlumeEvent> events)

    - #### ThriftSourceProtocol.appendBatch_args

          public ThriftSourceProtocol.appendBatch_args(ThriftSourceProtocol.appendBatch_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ThriftSourceProtocol.appendBatch_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### getEventsSize

          public int getEventsSize()

    - #### getEventsIterator

          public Iterator<ThriftFlumeEvent> getEventsIterator()

    - #### addToEvents

          public void addToEvents(ThriftFlumeEvent elem)

    - #### getEvents

          public List<ThriftFlumeEvent> getEvents()

    - #### setEvents

          public ThriftSourceProtocol.appendBatch_args setEvents(List<ThriftFlumeEvent> events)

    - #### unsetEvents

          public void unsetEvents()

    - #### isSetEvents

          public boolean isSetEvents()

      Returns true if field events is set (has been assigned a value) and false otherwise

    - #### setEventsIsSet

          public void setEventsIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ThriftSourceProtocol.appendBatch_args._Fields field,
                           Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ThriftSourceProtocol.appendBatch_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### isSet

          public boolean isSet(ThriftSourceProtocol.appendBatch_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ThriftSourceProtocol.appendBatch_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ThriftSourceProtocol.appendBatch_args other)

      Specified by:
        `compareTo` in interface `Comparable<ThriftSourceProtocol.appendBatch_args>`

    - #### fieldForId

          public ThriftSourceProtocol.appendBatch_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_args,ThriftSourceProtocol.appendBatch_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.